## org.biojava.bio.search
Class SimpleSeqSimilaritySearchSubHit

    java.lang.Object
      |
      +--org.biojava.bio.search.SimpleSeqSimilaritySearchSubHit

public class SimpleSeqSimilaritySearchSubHit
extends java.lang.Object
implements SeqSimilaritySearchSubHit, java.lang.Cloneable

a simple implementation of interface SeqSimilaritySearchSubHit that takes care of all the house-keeping. Objects of this class are immutable.

Author:
  Gerald Loeffler for the IMP

Fields inherited from interface org.biojava.bio.search.SeqSimilaritySearchSubHit
`QUERY_LABEL`

Constructor Summary
`SimpleSeqSimilaritySearchSubHit(SeqSimilaritySearchHit hit, double score, double pValue, double eValue, Alignment alignment)` construct an immutable object of this class by providing all properties.

Method Summary
`java.lang.Object` `clone()`
`boolean` `equals(java.lang.Object o)`
`Alignment` `getAlignment()` return an alignment of (possibly part of) the query sequence against (possibly part of) this hit sequence.
`double` `getEValue()` return the E-value of this sub-hit.
`SeqSimilaritySearchHit` `getHit()` return the ssequence similarity search hit to which this sequence similarity search sub-hit belongs.
`double` `getPValue()` return the P-value of this sub-hit.
`double` `getScore()` return the score of this sub-hit in the units defined by the search algorithm.
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleSeqSimilaritySearchSubHit

    public SimpleSeqSimilaritySearchSubHit(SeqSimilaritySearchHit hit,
                                           double score,
                                           double pValue,
                                           double eValue,
                                           Alignment alignment)

  construct an immutable object of this class by providing all properties.
  Parameters:
    `hit` - the SeqSimilaritySearchHit object of which this object is a part. Not null.
    `score` - the score of this hit. This is a mandatory piece of information and may hence not be NaN.
    `pValue` - the P-value of this hit. May be NaN.
    `eValue` - the E-value of this hit. May be NaN.
    `alignment` - the alignment of the query sequence against this hit sequence. May be null.

Method Detail

### getHit

    public SeqSimilaritySearchHit getHit()

  Description copied from interface: SeqSimilaritySearchSubHit
  return the ssequence similarity search hit to which this sequence similarity search sub-hit belongs.
  Specified by:
    getHit in interface SeqSimilaritySearchSubHit
  Tags copied from interface: SeqSimilaritySearchSubHit
  Returns:
    the SeqSimilaritySearchHit object of which this object is a part. Never returns null.

### getScore

    public double getScore()

  Description copied from interface: SeqSimilaritySearchSubHit
  return the score of this sub-hit in the units defined by the search algorithm.
  Specified by:
    getScore in interface SeqSimilaritySearchSubHit
  Tags copied from interface: SeqSimilaritySearchSubHit
  Returns:
    the score of this sub-hit. This is a mandatory piece of information and may hence not be NaN.

### getPValue

    public double getPValue()

  Description copied from interface: SeqSimilaritySearchSubHit
  return the P-value of this sub-hit.
  Specified by:
    getPValue in interface SeqSimilaritySearchSubHit
  Tags copied from interface: SeqSimilaritySearchSubHit
  Returns:
    the P-value of this sub-hit. This is an optional (but desired) piece of information and implementations of this interface may return NaN if a P-value is not available for this hit.

### getEValue

    public double getEValue()

  Description copied from interface: SeqSimilaritySearchSubHit
  return the E-value of this sub-hit.
  Specified by:
    getEValue in interface SeqSimilaritySearchSubHit
  Tags copied from interface: SeqSimilaritySearchSubHit
  Returns:
    the E-value of this sub-hit. This is an optional (but desired) piece of information and implementations of this interface may return NaN if an E-value is not available for this hit.

### getAlignment

    public Alignment getAlignment()

  Description copied from interface: SeqSimilaritySearchSubHit
  return an alignment of (possibly part of) the query sequence against (possibly part of) this hit sequence. In this alignment, the query is identified by the label given by the static field QUERY_LABEL.
  Specified by:
    getAlignment in interface SeqSimilaritySearchSubHit
  Tags copied from interface: SeqSimilaritySearchSubHit
  Returns:
    the alignment of the query sequence against this hit sequence. May return null.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

### clone

    public java.lang.Object clone()

  Specified by:
    clone in interface SeqSimilaritySearchSubHit
  Overrides:
    clone in class java.lang.Object